Debian Bug report logs - #711620
libthread-queue-any-perl: FTBFS with perl 5.18: test failures

version graph

Package: src:libthread-queue-any-perl; Maintainer for src:libthread-queue-any-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sat, 8 Jun 2013 11:45:02 UTC

Severity: serious

Tags: jessie, sid

Found in version libthread-queue-any-perl/1.12-1

Fixed in version libthread-queue-any-perl/1.14-1

Done: gregor herrmann <gregoa@debian.org>

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=85995

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711620; Package src:libthread-queue-any-perl. (Sat, 08 Jun 2013 11:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 08 Jun 2013 11:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libthread-queue-any-perl: FTBFS with perl 5.18: test failures
Date: Sat, 8 Jun 2013 12:41:57 +0100
Source: libthread-queue-any-perl
Version: 1.12-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.18-transition
Tags: sid jessie

This package FTBFS with perl 5.18 from experimental (in a clean sbuild
session):

   dh_auto_test
make[1]: Entering directory `/build/dom-libthread-queue-any-perl_1.12-1-i386-4yd
gPg/libthread-queue-any-perl-1.12'
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 
'blib/lib', 'blib/arch')" t/*.t
# threads loaded
Not an ARRAY reference at /build/dom-libthread-queue-any-perl_1.12-1-i386-4ydgPg
/libthread-queue-any-perl-1.12/blib/lib/Thread/Queue/Any.pm line 79.
# Tests were run but no plan was declared and done_testing() was not seen.
t/001basic.t ....... 
Dubious, test returned 255 (wstat 65280, 0xff00)
All 9 subtests passed 
# threads loaded
Not an ARRAY reference at /build/dom-libthread-queue-any-perl_1.12-1-i386-4ydgPg
/libthread-queue-any-perl-1.12/blib/lib/Thread/Queue/Any.pm line 79.
# Tests were run but no plan was declared and done_testing() was not seen.
t/010serializer.t .. 
Failed 2/2 test programs. 0/15 subtests failed.
Dubious, test returned 255 (wstat 65280, 0xff00)
All 6 subtests passed 

Test Summary Report
-------------------
t/001basic.t     (Wstat: 65280 Tests: 9 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
t/010serializer.t (Wstat: 65280 Tests: 6 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
Files=2, Tests=15,  0 wallclock secs ( 0.02 usr  0.02 sys +  0.08 cusr  0.01 csys =  0.13 CPU)
Result: FAIL

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=85995'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 08 Jun 2013 19:57:09 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 13 Aug 2013 12:21:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711620; Package src:libthread-queue-any-perl. (Sun, 23 Mar 2014 21:42:10 GMT) Full text and rfc822 format available.

Message #12 received at 711620@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 711620@bugs.debian.org, 711620-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libthread-queue-any-perl package
Date: Sun, 23 Mar 2014 21:38:36 +0000
tag 711620 + pending
thanks

Some bugs in the libthread-queue-any-perl package are closed in
revision 3214abe1b8ddbb4001db1c20e243216de220fc75 in branch 'master'
by gregor herrmann

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libthread-queue-any-perl.git;a=commitdiff;h=3214abe

Commit message:

    New upstream release. Fixes "FTBFS with perl 5.18: test failures" (Closes: #711620)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sun, 23 Mar 2014 21:42:13 GMT) Full text and rfc822 format available.

Message sent on to Dominic Hargreaves <dom@earth.li>:
Bug#711620. (Sun, 23 Mar 2014 21:42:17 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 23 Mar 2014 21:54:05 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sun, 23 Mar 2014 21:54:05 GMT) Full text and rfc822 format available.

Message #22 received at 711620-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 711620-close@bugs.debian.org
Subject: Bug#711620: fixed in libthread-queue-any-perl 1.14-1
Date: Sun, 23 Mar 2014 21:50:52 +0000
Source: libthread-queue-any-perl
Source-Version: 1.14-1

We believe that the bug you reported is fixed in the latest version of
libthread-queue-any-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711620@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libthread-queue-any-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 23 Mar 2014 22:37:02 +0100
Source: libthread-queue-any-perl
Binary: libthread-queue-any-perl
Architecture: source all
Version: 1.14-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libthread-queue-any-perl - module implementing thread-safe queues for any data-structure
Closes: 711620
Changes: 
 libthread-queue-any-perl (1.14-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Salvatore Bonaccorso ]
   * Change Vcs-Git to canonical URI (git://anonscm.debian.org).
   * Change search.cpan.org based URIs to metacpan.org based URIs.
 .
   [ Florian Schlichting ]
   * Imported Upstream version 1.13.
   * Bumped Standards-Version to 3.9.4 (no change).
   * Email change: Florian Schlichting -> fsfs@debian.org.
   * Remove workaround, maintblead argument handling was fixed upstream.
 .
   [ gregor herrmann ]
   * Strip trailing slash from metacpan URLs.
   * New upstream release.
     Fixes "FTBFS with perl 5.18: test failures"
     (Closes: #711620)
   * Declare compliance with Debian Policy 3.9.5.
Checksums-Sha1: 
 b5c18ff04ce8e682ca54233a0e2889c9cab976d5 2262 libthread-queue-any-perl_1.14-1.dsc
 09861b3635639524999e244e731b2f9bc08f4f18 12591 libthread-queue-any-perl_1.14.orig.tar.gz
 e7fb32af158d2dc1cfa009cc31c42189db397efd 2204 libthread-queue-any-perl_1.14-1.debian.tar.xz
 9457c5b6581b5897062fe3acecd7390929405501 14518 libthread-queue-any-perl_1.14-1_all.deb
Checksums-Sha256: 
 30399e2f463b85762dd9591c6e8ab28dbdebedafa63c9871666b68857a7acb90 2262 libthread-queue-any-perl_1.14-1.dsc
 2f9f1e74979e4548d9805f54070dd788486c5126ae6c545bd9558756565b20a6 12591 libthread-queue-any-perl_1.14.orig.tar.gz
 81e1bfcc261fbff127e9d2ed4fad5456718457b9c3063f42e7deaf7a341a4776 2204 libthread-queue-any-perl_1.14-1.debian.tar.xz
 bf1897de5553508a5a0297f59a471383f454195469f7a5f0781b354f8d67bafa 14518 libthread-queue-any-perl_1.14-1_all.deb
Files: 
 fc47fed1a52efabe1a731f05191ff758 2262 perl optional libthread-queue-any-perl_1.14-1.dsc
 171eda0748f80d2d4021e8aec9ba1def 12591 perl optional libthread-queue-any-perl_1.14.orig.tar.gz
 9ad220cc745effbaa438093cdabda8f4 2204 perl optional libthread-queue-any-perl_1.14-1.debian.tar.xz
 6439dbb94074d5cfd8d32ffeac41def8 14518 perl optional libthread-queue-any-perl_1.14-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJrBAEBCgBVBQJTL1Q3ThSAAAAAAB0AKGlzc3Vlci1mcHJAZ3BnLmNvbW9kby5w
cml2LmF0RDFFMTMxNkU5M0E3NjBBODEwNEQ4NUZBQkIzQTY4MDE4NjQ5QUEwNgAK
CRC7OmgBhkmqBt1aEACMWwwaWUxqGqL9qzZTu13n5uOu7osfWAC1vQkazDZ5LHXx
b/lCCQdzX+Til/ID6ILDpeMcmtTdU6vDS/re1Z5sa+2bweN5CDITzj6w7oRvifrp
BsC2yEDdyUr9hwmSdW4/oNYl7VVQpuHQWuoMBCmQeqTYaYZwV5aXWB2O1yJcTg48
cLRpE1N8+5VRWwVix9YFKz7VOTyY1oQlYh2bTFy9iodz6fjHX81QZGzzp3jPHuNh
td+ie86Pa9QpXLD3LPAJSwVD7L2dnsTgsi9D3aV43XAECG0nAtXp0XemHLIJAu6z
cqjZQN5jv5NOb3tKiSY4A3jXceB83HJ3ucP1lpgVw9gdpWqYXKfsHuR/xUNC5ofv
J9iiW7tcHdWsSmYgzii7lydMiCtxqfHAt9suZy1uCiQEDDbujF6zJw6xS/8ZCdje
v0aYdJbIxq4uVxI2/7Xr65nsX0vkhriFZa3+FfTPVV9qw2iJJJ/XMtM5d/dv615o
yJytMr3sTDi4Dnwzn5rjAQ4bxvEzD9zFVAkQl8zCMmm/Oc5wUWFcRU3xzPPOxL91
GFYlcu7gaC3ZwexT32efWvLhj+rU0qhE1Ees8F1MSsugwUrqws4zDaaNR4ZNfWSJ
GjQ3PtjxH4KkPuElNxVGaz6hJRVxmNe3qj3aSv+9DfsrSVQddx3n6Y+dByGGRg==
=n3H8
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:14:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.